<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pointx_admin.php
| Version: 1.0.0
| Author: Yodix (www.on-deck.eu)
| Release Date: 15/02/2012
| Last Update Date: --/--/----
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include_once INFUSIONS."pointx/pointx_include.php";

if (!checkrights("PX") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }
if (!isset($_GET['page']) || ($_GET['page'] != "home" && $_GET['page'] != "add" && $_GET['page'] != "settings")) { $_GET['page'] = "home"; }

if (file_exists(INFUSIONS."pointx/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pointx/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."pointx/locale/English.php";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "pointx_added") {
		$message = $locale['px_020'];
	} elseif ($_GET['status'] == "pointx_add_error") {
		$message = $locale['px_021'];
	} elseif ($_GET['status'] == "pointx_updated") {
		$message = $locale['px_022'];
	} elseif ($_GET['status'] == "pointx_update_error") {
		$message = $locale['px_023'];
	} elseif ($_GET['status'] == "pointx_deleted") {
		$message = $locale['px_024'];
	} elseif ($_GET['status'] == "pointx_delete_error") {
		$message = $locale['px_025'];
	} elseif ($_GET['status'] == "settings_updated") {
		$message = $locale['px_026'];
	} elseif ($_GET['status'] == "settings_update_error") {
		$message = $locale['px_027'];
	} elseif ($_GET['status'] == "pointx_name_exist") {
		$message = $locale['px_028'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

$nav = "<table cellpadding='0' cellspacing='0' class='tbl-border' align='center' style='width:300px; margin-bottom:20px; text-align:center;'>\n<tr>\n";
$nav .= "<td class='".(isset($_GET['page']) && $_GET['page'] == "home" ? "tbl2" : "tbl1")."'><a href='".FUSION_SELF.$aidlink."&amp;page=home'>".$locale['px_010']."</a></td>\n";
$nav .= "<td class='".(isset($_GET['page']) && $_GET['page'] == "add" ? "tbl2" : "tbl1")."'><a href='".FUSION_SELF.$aidlink."&amp;page=add'>".$locale['px_011']."</a></td>\n";
$nav .= "<td class='".(isset($_GET['page']) && $_GET['page'] == "settings" ? "tbl2" : "tbl1")."'><a href='".FUSION_SELF.$aidlink."&amp;page=settings'>".$locale['px_012']."</a></td>\n";
$nav .= "</tr>\n</table>\n";

if (isset($_GET['page']) && $_GET['page'] == "home") {
	if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['pointx_id']) && isnum($_GET['pointx_id']))) {
		$result = dbquery("DELETE FROM ".DB_POINTX." WHERE pointx_id='".$_GET['pointx_id']."'");
		if (!$result) {
			redirect(FUSION_SELF.$aidlink."&amp;page=home&amp;status=pointx_delete_error");
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=home&amp;status=pointx_deleted");
		}
	}
	
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['pointx_id']) && isnum($_GET['pointx_id']))) {
		if (isset($_POST['save_pointx'])) {
			$pointx_title = stripinput($_POST['pointx_title']);
			$pointx_points = isnum($_POST['pointx_points']) ? $_POST['pointx_points'] : "1";
			if (isset($_POST['reset_code'])) {
				$pointx_code = createCodeX();
			} else {
				$pointx_code = stripinput($_POST['pointx_code']);
			}
			$result = dbquery("UPDATE ".DB_POINTX." SET pointx_title='".$pointx_title."', pointx_code='".$pointx_code."', pointx_points='".$pointx_points."' WHERE pointx_id='".$_GET['pointx_id']."'");
			if (!$result) {
				redirect(FUSION_SELF.$aidlink."&amp;page=home&amp;status=settings_update_error");
			} else {
				redirect(FUSION_SELF.$aidlink."&amp;page=home&amp;status=pointx_updated");
			}
		}
		$result = dbquery("SELECT * FROM ".DB_POINTX." WHERE pointx_id='".$_GET['pointx_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			
			opentable($locale['px_002']);
			echo "<form name='addpx' method='post' action='".FUSION_SELF.$aidlink."&amp;page=home&amp;action=edit&amp;pointx_id=".$data['pointx_id']."'>\n";
			echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
			echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['px_040']."</td>\n";
			echo "<td class='tbl'><input type='text' name='pointx_title' value='".$data['pointx_title']."' class='textbox' style='width:200px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['px_041']."</td>\n";
			echo "<td class='tbl'><input type='text' name='pointx_points' value='".$data['pointx_points']."' class='textbox' style='width:50px;' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td colspan='2' class='tbl'><label><input type='checkbox' name='reset_code' value='1' /> ".$locale['px_042']."</label>";
			echo "<input type='hidden' name='pointx_code' value='".$data['pointx_code']."' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' colspan='2' class='tbl'>\n";
			echo "<input type='submit' name='save_pointx' value='".$locale['px_043']."' class='button' /></td>\n";
			echo "</tr>\n</table>\n</form>\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=home");
		}
	}
	
	$OpenTable = $pointx_settings['px_standard'] == "0" ? $locale['px_000'] : $locale['px_000'].$locale['px_004'];
	opentable($OpenTable);
	echo $nav;
	if ($pointx_settings['px_standard'] == "0") {
		echo "<table width='400' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
		$result = dbquery("SELECT pointx_id, pointx_title, pointx_code, pointx_points FROM ".DB_POINTX." ORDER BY pointx_title");
		if (dbrows($result) != 0) {
			$i = 0;
			echo "<tr>\n";
			echo "<td align='center' width='25%' class='tbl2' style='white-space:nowrap'><strong>".$locale['px_030']."</strong></td>\n";
			echo "<td align='center' width='25%' class='tbl2' style='white-space:nowrap'><strong>".$locale['px_031']."</strong></td>\n";
			echo "<td align='center' width='25%' class='tbl2' style='white-space:nowrap'><strong>".$locale['px_032']."</strong></td>\n";
			echo "<td align='center' width='25%' class='tbl2' style='white-space:nowrap'><strong>".$locale['px_033']."</strong></td>\n";
			echo "</tr>\n";
			while ($data = dbarray($result)) {
				$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
				echo "<tr>\n";
				echo "<td align='center' width='25%' class='$cell_color' style='white-space:nowrap'>".$data['pointx_title']."</td>\n";
				echo "<td align='center' width='25%' class='$cell_color' style='white-space:nowrap'>".$data['pointx_code']."</td>\n";
				echo "<td align='center' width='25%' class='$cell_color' style='white-space:nowrap'>".$data['pointx_points']."</td>\n";
				echo "<td align='center' width='25%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;page=home&amp;action=edit&amp;pointx_id=".$data['pointx_id']."'>".$locale['px_034']."</a> -\n";
				echo "<a href='".FUSION_SELF.$aidlink."&amp;page=home&amp;action=delete&amp;pointx_id=".$data['pointx_id']."' onclick=\"return confirm('".$locale['px_036']."');\">".$locale['px_035']."</a></td>\n";
				echo "</tr>\n";
				$i++;
			}
			echo "</table>\n";
		} else {
			echo "<tr><td align='center' class='tbl1'>".$locale['px_037']."</td></tr>\n</table>\n";
		}
	} else {
		if (isset($_POST['save_standard'])) {
			if (isset($_POST['standard_forum_enabled']) && isset($_POST['standard_forum_points']) && 
			($_POST['standard_forum_enabled'] == 1 || $_POST['standard_forum_enabled'] == 0) && isnum($_POST['standard_forum_points'])) {
				$set = $_POST['standard_forum_enabled'].".".$_POST['standard_forum_points'];
				$setting = set_setting("px_standard_forum", $set, "pointx");
			} else {
				redirect(FUSION_SELF.$aidlink."&amp;page=home&amp;status=settings_update_error");
			}
			if (isset($_POST['standard_shoutbox_enabled']) && isset($_POST['standard_shoutbox_points']) && 
			($_POST['standard_shoutbox_enabled'] == 1 || $_POST['standard_shoutbox_enabled'] == 0) && isnum($_POST['standard_shoutbox_points'])) {
				$set = $_POST['standard_shoutbox_enabled'].".".$_POST['standard_shoutbox_points'];
				$setting = set_setting("px_standard_shoutbox", $set, "pointx");
			} else {
				redirect(FUSION_SELF.$aidlink."&amp;page=home&amp;status=settings_update_error");
			}
			if (isset($_POST['standard_comments_enabled']) && isset($_POST['standard_comments_points']) && 
			($_POST['standard_comments_enabled'] == 1 || $_POST['standard_comments_enabled'] == 0) && isnum($_POST['standard_comments_points'])) {
				$set = $_POST['standard_comments_enabled'].".".$_POST['standard_comments_points'];
				$setting = set_setting("px_standard_comments", $set, "pointx");
			} else {
				redirect(FUSION_SELF.$aidlink."&amp;page=home&amp;status=settings_update_error");
			}
		}
		$standard_forum = explode(".", $pointx_settings['px_standard_forum']);
		$standard_forum_enabled = $standard_forum[0];
		$standard_forum_points = $standard_forum[1];
		echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=home'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
		echo "<td width='50%' class='tbl'>".$locale['px_080']."</td>\n";
		echo "<td width='50%' class='tbl'><select name='standard_forum_enabled' class='textbox'>\n";
		echo "<option value='1'".($standard_forum_enabled == "1" ? " selected='selected'" : "").">".$locale['px_074']."</option>\n";
		echo "<option value='0'".($standard_forum_enabled == "0" ? " selected='selected'" : "").">".$locale['px_075']."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='50%' class='tbl'>".$locale['px_083']."</td>\n";
		echo "<td width='50%' class='tbl'><input type='text' name='standard_forum_points' value='".$standard_forum_points."' maxlength='100' class='textbox' style='width:50px;' autocomplete='off' /></td>\n";
		echo "</tr>\n<tr>\n";
		$standard_shoutbox = explode(".", $pointx_settings['px_standard_shoutbox']);
		$standard_shoutbox_enabled = $standard_shoutbox[0];
		$standard_shoutbox_points = $standard_shoutbox[1];
		echo "<td width='50%' class='tbl'>".$locale['px_081']."</td>\n";
		echo "<td width='50%' class='tbl'><select name='standard_shoutbox_enabled' class='textbox'>\n";
		echo "<option value='1'".($standard_shoutbox_enabled == "1" ? " selected='selected'" : "").">".$locale['px_074']."</option>\n";
		echo "<option value='0'".($standard_shoutbox_enabled == "0" ? " selected='selected'" : "").">".$locale['px_075']."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='50%' class='tbl'>".$locale['px_083']."</td>\n";
		echo "<td width='50%' class='tbl'><input type='text' name='standard_shoutbox_points' value='".$standard_shoutbox_points."' maxlength='100' class='textbox' style='width:50px;' autocomplete='off' /></td>\n";
		echo "</tr>\n<tr>\n";
		$standard_comments = explode(".", $pointx_settings['px_standard_comments']);
		$standard_comments_enabled = $standard_comments[0];
		$standard_comments_points = $standard_comments[1];
		echo "<td width='50%' class='tbl'>".$locale['px_081']."</td>\n";
		echo "<td width='50%' class='tbl'><select name='standard_comments_enabled' class='textbox'>\n";
		echo "<option value='1'".($standard_comments_enabled == "1" ? " selected='selected'" : "").">".$locale['px_074']."</option>\n";
		echo "<option value='0'".($standard_comments_enabled == "0" ? " selected='selected'" : "").">".$locale['px_075']."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='50%' class='tbl'>".$locale['px_083']."</td>\n";
		echo "<td width='50%' class='tbl'><input type='text' name='standard_comments_points' value='".$standard_comments_points."' maxlength='100' class='textbox' style='width:50px;' autocomplete='off' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'><br />\n";
		echo "<input type='submit' name='save_standard' value='".$locale['px_076']."' class='button' /></td>\n";
		echo "</tr>\n</table>\n</form>\n";
	}
	closetable();
} elseif (isset($_GET['page']) && $_GET['page'] == "add") {
	if (isset($_POST['add_pointx'])) {
		$pointx_title = stripinput($_POST['pointx_title']);
		$pointx_points = isnum($_POST['pointx_points']) ? $_POST['pointx_points'] : "1";
		$pointx_code = createCodeX();
		$checkPointX = dbcount("(pointx_id)", DB_POINTX, "pointx_title='".$pointx_title."'");
		if ($checkPointX == 0) {
			$result = dbquery("INSERT INTO ".DB_POINTX." (pointx_title, pointx_code, pointx_points) VALUES('".$pointx_title."', '".$pointx_code."', '".$pointx_points."')");
			if (!$result) {
				redirect(FUSION_SELF.$aidlink."&amp;page=add&amp;status=pointx_add_error");
			} else {
				redirect(FUSION_SELF.$aidlink."&amp;page=home&amp;status=pointx_added");
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=add&amp;status=pointx_name_exist");
		}
	}
	
	if (isset($_GET['status']) && $_GET['status'] == "pointx_name_exist") {
		$pointx_title_completed = stripinput($_POST['pointx_title']);
		$pointx_points_completed = isnum($_POST['pointx_points']) ? $_POST['pointx_points'] : "1";
	} else {
		$pointx_title_completed = "";
		$pointx_points_completed = "";
	}
	opentable($locale['px_001']);
	echo $nav;
	echo "<form name='addcat' method='post' action='".FUSION_SELF.$aidlink."&amp;page=add'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['px_060']."</td>\n";
	echo "<td class='tbl'><input type='text' name='pointx_title' value='".$pointx_title_completed."' class='textbox' style='width:200px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['px_061']."</td>\n";
	echo "<td class='tbl'><input type='text' name='pointx_points' value='".$pointx_points_completed."' class='textbox' style='width:50px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='add_pointx' value='".$locale['px_062']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();
} elseif (isset($_GET['page']) && $_GET['page'] == "settings") {
	require_once INCLUDES."bbcode_include.php";
	
	if (isset($_POST['save_settings'])) {
		if (isset($_POST['px_enabled']) && ($_POST['px_enabled'] == 1 || $_POST['px_enabled'] == 0)) {
			$setting = set_setting("px_enabled", $_POST['px_enabled'], "pointx");
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=settings&amp;status=settings_update_error");
		}
		if (isset($_POST['px_show_list']) && ($_POST['px_show_list'] == 1 || $_POST['px_show_list'] == 0)) {
			$setting = set_setting("px_show_list", $_POST['px_show_list'], "pointx");
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=settings&amp;status=settings_update_error");
		}
		if (isset($_POST['px_info_page'])) {
			$px_info_page = stripinput($_POST['px_info_page']);
			$setting = set_setting("px_info_page", $px_info_page, "pointx");
		}
		if (isset($_POST['px_max_points']) && isnum($_POST['px_max_points'])) {
			$setting = set_setting("px_max_points", $_POST['px_max_points'], "pointx");
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=settings&amp;status=settings_update_error");
		}
		if (isset($_POST['px_standard']) && ($_POST['px_standard'] == 1 || $_POST['px_standard'] == 0)) {
			$setting = set_setting("px_standard", $_POST['px_standard'], "pointx");
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;page=settings&amp;status=settings_update_error");
		}
		redirect(FUSION_SELF.$aidlink."&amp;page=settings&amp;status=settings_updated");
	}
	
	opentable($locale['px_003']);
	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."&amp;page=settings'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
	echo "<td width='50%' class='tbl'>".$locale['px_070']."</td>\n";
	echo "<td width='50%' class='tbl'><select name='px_enabled' class='textbox'>\n";
	echo "<option value='1'".($pointx_settings['px_enabled'] == "1" ? " selected='selected'" : "").">".$locale['px_075']."</option>\n";
	echo "<option value='0'".($pointx_settings['px_enabled'] == "0" ? " selected='selected'" : "").">".$locale['px_076']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='50%' class='tbl'>".$locale['px_071']."</td>\n";
	echo "<td width='50%' class='tbl'><select name='px_show_list' class='textbox'>\n";
	echo "<option value='1'".($pointx_settings['px_show_list'] == "1" ? " selected='selected'" : "").">".$locale['px_075']."</option>\n";
	echo "<option value='0'".($pointx_settings['px_show_list'] == "0" ? " selected='selected'" : "").">".$locale['px_076']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='50%' class='tbl'>".$locale['px_072']."</td>\n";
	echo "<td width='50%' class='tbl'><textarea name='px_info_page' cols='50' rows='10' class='textbox' style='width:320px'>".$pointx_settings['px_info_page']."</textarea><br />";
	echo display_bbcodes("280px;", "px_info_page", "settingsform", "b|i|u|color|bcolor|url|left|center|justify|right|size|big|small|ulist|olist")."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='50%' class='tbl'>".$locale['px_073']."</td>\n";
	echo "<td width='50%' class='tbl'><input type='text' name='px_max_points' value='".$pointx_settings['px_max_points']."' maxlength='100' class='textbox' style='width:50px;' autocomplete='off' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='50%' class='tbl'>".$locale['px_074']."</td>\n";
	echo "<td width='50%' class='tbl'><select name='px_standard' class='textbox'>\n";
	echo "<option value='1'".($pointx_settings['px_standard'] == "1" ? " selected='selected'" : "").">".$locale['px_075']."</option>\n";
	echo "<option value='0'".($pointx_settings['px_standard'] == "0" ? " selected='selected'" : "").">".$locale['px_076']."</option>\n";
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'><br />\n";
	echo "<input type='submit' name='save_settings' value='".$locale['px_077']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();
}

require_once THEMES."templates/footer.php";
?>